---***Correct Blizzard 1.7 patch bug***---
if (ITEM_QUALITY6_TOOLTIP_COLOR == nil) then
	ITEM_QUALITY6_TOOLTIP_COLOR = { r = 1.0, g = 0.5, b = 0 };
end
---*****************************---

-- ***BHALDIEMOVEIT INFORMATION*** ---
BHALDIEMOVEIT_TITLE			= "BhaldieMoveIT";
BHALDIEMOVEIT_VERSION			= "2.3.3";
BHALDIEMOVEIT_DESCRIPTION		= "Breaks up many components on the UI interface and makes them moveable.";
BHALDIEMOVEIT_LOADED			= "|cffffff00" .. BHALDIEMOVEIT_TITLE .. " v" .. BHALDIEMOVEIT_VERSION .. " loaded";

-- Global  variables and tables
BM_CONFIG					= {};
BM_CONTAINER_FRAME		= {};
BM_IS_AMMO_BAG			= {};
Container_Frame_ID				= {};
BM_IS_AMMO_BAG			= {};
BM_IS_AMMO_BAG[0]					= "Small Ammo Pouch";
BM_IS_AMMO_BAG[1]					= "Small Leather Ammo Pouch";
BM_IS_AMMO_BAG[2]					= "Heavy Leather Ammo Pouch";
BM_IS_AMMO_BAG[3]					= "Thick Leather Ammo Pouch";
BM_IS_AMMO_BAG[4]					= "Small Quiver";
BM_IS_AMMO_BAG[5]					= "Medium Quiver";
BM_IS_AMMO_BAG[6]					= "Light Quiver";
BM_IS_AMMO_BAG[7]					= "Light Leather Quiver";
BM_IS_AMMO_BAG[8]					= "Hunting Quiver";
BM_IS_AMMO_BAG[9]					= "Ribbly's Quiver";
BM_IS_AMMO_BAG[10]				= "Quiver of the Night Watch";
BM_IS_AMMO_BAG[11]				= "Quickdraw Quiver";
BM_IS_AMMO_BAG[12]				= "Heavy Quiver";
BM_IS_AMMO_BAG[13]				= "Soul Pouch";
BM_IS_AMMO_BAG[14]				= "Felcloth Bag";
BM_IS_AMMO_BAG[15]				= "Core Felcloth Bag";
BM_IS_AMMO_BAG[16]				= "Ribbly's Bandolier";
BM_PLAYERNAME_REALM		= "";
BM_DELAY					= 1;
BM_REFRESH					= 0.0;
BM_TOTAL_BAGS				= 0;
BM_COUNT_USED_SLOTS		= 0;
BM_STATUS_BAR_COLOR		= 0;
BM_TOTAL_SLOTS_BAG		= 0;
BM_SLOTS_BAG				= 0;
BM_BAG_NAME				= "";
BM_BAG_SLOT_COUNT		= 1;
BM_IS_AMMO				= false;

-- Default Settings
DEFAULT_BM_ACTION_ENABLE		= false;
DEFAULT_BM_BAG_LOCK			= false;
DEFAULT_BM_BAG_ENABLE			= true;
DEFAULT_BM_MINI_LOCK			= false;
DEFAULT_BM_MINI_ENABLE		= true;
BM_MINI_ENABLE					= true;
DEFAULT_BM_CAST_LOCK			= false;
DEFAULT_BM_PET_LOCK			= false;
DEFAULT_BM_PET_ENABLE			= true;
DEFAULT_BM_BONUS_LOCK		= false;
DEFAULT_BM_BSTATUS_LOCK		= false;
DEFAULT_BM_BSTATUS_ENABLE	= true;
DEFAULT_BM_MAIL_FRAME			= true;

-- Font Colors
BM_WHITE						= HIGHLIGHT_FONT_COLOR_CODE;
BM_RED							= RED_FONT_COLOR_CODE;
BM_GREEN						= GREEN_FONT_COLOR_CODE;
BM_YELLOW						= NORMAL_FONT_COLOR_CODE;
BM_GRAY						= GRAY_FONT_COLOR_CODE;
BM_FONT_OFF					= FONT_COLOR_CODE_CLOSE;

-- Strings
BAG_STATUS_TEXT_WHITE		= HIGHLIGHT_FONT_COLOR_CODE .. "Bags Slots: " .. FONT_COLOR_CODE_CLOSE .. HIGHLIGHT_FONT_COLOR_CODE .."%d / %d" .. FONT_COLOR_CODE_CLOSE;
BAG_STATUS_TEXT_RED			= HIGHLIGHT_FONT_COLOR_CODE .. "Bags Slots: " .. FONT_COLOR_CODE_CLOSE .. RED_FONT_COLOR_CODE .."%d / %d" .. FONT_COLOR_CODE_CLOSE;
BAG_STATUS_TEXT_GREEN		= HIGHLIGHT_FONT_COLOR_CODE .. "Bags Slots: " .. FONT_COLOR_CODE_CLOSE .. GREEN_FONT_COLOR_CODE .."%d / %d" .. FONT_COLOR_CODE_CLOSE;
BAG_STATUS_TEXT_YELLOW		= HIGHLIGHT_FONT_COLOR_CODE .. "Bags Slots: " .. FONT_COLOR_CODE_CLOSE .. NORMAL_FONT_COLOR_CODE .."%d / %d" .. FONT_COLOR_CODE_CLOSE;
BAG_STATUS_METER_WHITE		= HIGHLIGHT_FONT_COLOR_CODE .."%d / %d" .. FONT_COLOR_CODE_CLOSE;
BAG_STATUS_METER_RED			= RED_FONT_COLOR_CODE .."%d / %d" .. FONT_COLOR_CODE_CLOSE;
BAG_STATUS_METER_GREEN		= GREEN_FONT_COLOR_CODE .."%d / %d" .. FONT_COLOR_CODE_CLOSE;
BAG_STATUS_METER_YELLOW		= NORMAL_FONT_COLOR_CODE .."%d / %d" .. FONT_COLOR_CODE_CLOSE;
BM_RESET_ALL_TEXT				= "Do you really want to reset all settings?";
BM_ACTION_ENABLE				= "Action Enable";
BM_BAG_BAR_ENABLE				= "Bag Enable";
BM_BAG_BAR_LOCK				= "Bag Lock";
BM_MINI_BAR_ENABLE				= "Mini Enable";
BM_MINI_BAR_LOCK				= "Mini Lock";
BM_CAST_BAR_LOCK				= "Castbar Lock";
BM_CAST_BAR_ENABLE			= "Castbar Enable";
BM_PET_BAR_ENABLE				= "Pet Enable";
BM_PET_BAR_LOCK				= "Pet Lock";
BM_BONUS_BAR_LOCK				= "Bonus Lock";
BM_BONUS_BAR_ENABLE			= "Bonus Enable";
BM_BAGSTATUS_BAR_ENABLE		= "Bag Status Enable";
BM_BAGSTATUS_BAR_LOCK			= "Bag Status Lock";
BM_MAIL_FRAME_ENABLE			= "Mail Frame";
BM_MOVE_BAGS_ENABLE			= "Moveable Bags";